
package de.ivu.elect.business.person.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.person.entity.Beruf;

@GroupedConversationScoped
@ConversationGroup(AbstractBerufSearchParameters.class)
public class BerufSearchParameters extends AbstractBerufSearchParameters {

  private static final long serialVersionUID = 1L;

  private Beruf beruf;


  public Beruf getBeruf(){
    if (beruf == null){
      beruf = new Beruf();
      beruf.setGeschlecht(null);
    }
    return beruf;
  }

  @Override
  public void reset() {
    super.reset();
    beruf = null;
  }

}
